<html>
    <head>
        <title>Loader</title>
    </head>

    <style>
        
        .loader{
            height: 200px;
            width: 200px;
            background-color: #ccc;
            border-radius: 50%;
            border: 10px solid #aaa;
            border-top: 10px solid #888;
            position: absolute;
            top: 25%;
            left: 40%;
        }

        .loaderAfter{
            animation-name: load;
            -webkit-animation-name: load;
            animation-iteration-count: infinite;
            -webkit-animation-iteration-count: infinite;
            animation-play-state: running;
            -webkit-animation-play-state: running;
            animation-duration: 1s;
            -webkit-animation-duration: 1s;
        }

        @-webkit-keyframes load {
            0%{
                transform: rotate(0deg);
            }

            /*
             25%{
                transform: rotate(90deg);
            }

            50%{
                transform: rotate(180deg);
            }

            75%{
                transform: rotate(270deg);
            } */

            100%{
                transform: rotate(360deg);
            }

            100%{
                transform: rotate(360deg);
            }

            0%{
                
            }
        }
    </style>

    <body>

        <button>start</button>

        <div class="loader">

        </div>

        <script src="js/jQuery.js"></script>
        <script>

            $(document).ready(function() {
                $('button').click(function() {
                    $('.loader').toggleClass('loaderAfter');
                });
            });
        
        </script>
    </body>
</html>